Problems importing Annotations via Leap2a

Bug #1431659 reported by Aaron Wells on 2015-03-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Unassigned
15.04
High
Unassigned
15.10
High
Unassigned
16.04
High
Unassigned

Bug Description

As reported on https://reviews.mahara.org/#/c/4123/:

"When I import a Leap2A (a collection with two pages; one with a text and 2 annotation blocks and the other with an image block and an annotation block), I get "[INF] 83 (import/index.php:301) Leap2A import failed: Cannot find reflection entry for annotation." The text block does not have an embedded image. Just plain text."

Aaron Wells (u-aaronw) on 2015-03-13
tags: added: smartevidence
Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
milestone: 15.04.0 → 15.04.1
Robert Lyon (robertl-9) on 2016-06-08
Changed in mahara:
milestone: 16.04.1 → 16.10.0
Robert Lyon (robertl-9) wrote :

This is only for the importation via the Create user screen - doing it via the Portfolio -> Import seems to work fine

Robert Lyon (robertl-9) on 2016-07-08
Changed in mahara:
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/6680
Committed: https://git.mahara.org/mahara/mahara/commit/f378b34796e7d143cf553d70af5878f924492623
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit f378b34796e7d143cf553d70af5878f924492623
Author: Robert Lyon <email address hidden>
Date: Fri Jul 8 18:08:45 2016 +1200

Bug 1431659: Allowing import of annotation leap2a

When creating a new user in admin -> create user screen

behatnotneeded

Change-Id: Ie2fdffa0da9e087f38ab9a458850625872fbf534
Signed-off-by: Robert Lyon <email address hidden>

Changed in mahara:
status: In Progress → Fix Committed
Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/6815

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/6816

Reviewed: https://reviews.mahara.org/6814
Committed: https://git.mahara.org/mahara/mahara/commit/f6e00791538a61f6e02d3ee407258ee469973dbf
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit f6e00791538a61f6e02d3ee407258ee469973dbf
Author: Robert Lyon <email address hidden>
Date: Fri Jul 8 18:08:45 2016 +1200

Bug 1431659: Allowing import of annotation leap2a

When creating a new user in admin -> create user screen

behatnotneeded

Change-Id: Ie2fdffa0da9e087f38ab9a458850625872fbf534
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit f378b34796e7d143cf553d70af5878f924492623)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6816
Committed: https://git.mahara.org/mahara/mahara/commit/90420c7a68c48568b67c9e9bbae58e746568f9aa
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 90420c7a68c48568b67c9e9bbae58e746568f9aa
Author: Robert Lyon <email address hidden>
Date: Fri Jul 8 18:08:45 2016 +1200

Bug 1431659: Allowing import of annotation leap2a

When creating a new user in admin -> create user screen

behatnotneeded

Change-Id: Ie2fdffa0da9e087f38ab9a458850625872fbf534
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit f378b34796e7d143cf553d70af5878f924492623)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6815
Committed: https://git.mahara.org/mahara/mahara/commit/11e4da5fab167941bfc92b148eae152950d65e4d
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 11e4da5fab167941bfc92b148eae152950d65e4d
Author: Robert Lyon <email address hidden>
Date: Fri Jul 8 18:08:45 2016 +1200

Bug 1431659: Allowing import of annotation leap2a

When creating a new user in admin -> create user screen

behatnotneeded

Change-Id: Ie2fdffa0da9e087f38ab9a458850625872fbf534
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit f378b34796e7d143cf553d70af5878f924492623)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers